Skip to content

Wrong type for offset and limit in response of https://developer.personio.de/v1.0/reference/get_company-attendances #205

@Vardaleb

Description

@Vardaleb

According to the spec:

offset:
type: integer
limit:
type: integer

offset and limit are integer.
When the call does not include the parameters offset or limit the response contains them with the correct type integer:

  "offset": 0,
  "limit": 200

But if offset or limit are passed as parameter, the response returns them as String:

curl --request GET \
     --url 'https://api.personio.de/v1/company/attendances?start_date=2025-01-01&end_date=2025-12-31&limit=100&offset=10' \
     --header 'accept: application/json' \
     --header 'authorization: Bearer papi-noyb

The response is as follows:

  "offset": "10",
  "limit": "100"

When using generated code for a type safe language, for example personio-rs, this is a show stopper

Metadata

Metadata

Assignees

No one assigned

    Labels

    No labels
    No labels

    Type

    No type
    No fields configured for issues without a type.

    Projects

    No projects

    Milestone

    No milestone

    Relationships

    None yet

    Development

    No branches or pull requests

    Issue actions